<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [cancelExportMaterial](./bitburner.warehouseapi.cancelexportmaterial.md)

## WarehouseAPI.cancelExportMaterial() method

Cancel material export.

**Signature:**

```typescript
cancelExportMaterial(
    sourceDivision: string,
    sourceCity: CityName | `${CityName}`,
    targetDivision: string,
    targetCity: CityName | `${CityName}`,
    materialName: string,
  ): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sourceDivision | string | Source division |
|  sourceCity | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Source city |
|  targetDivision | string | Target division |
|  targetCity | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Target city |
|  materialName | string | Name of the material |

**Returns:**

void

## Remarks

RAM cost: 20 GB

